PrivilegedActionException (Java SE 17 & JDK 17)
Description: declaration: module: java.base, package: java.security, class: PrivilegedActionException
Keywords: java.security.PrivilegedActionException class

Module java.base
Package java.security

# Class PrivilegedActionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.PrivilegedActionException

All Implemented Interfaces:
  `Serializable`

public class PrivilegedActionException extends Exception
This exception is thrown by `doPrivileged(PrivilegedExceptionAction)` and `doPrivileged(PrivilegedExceptionAction, AccessControlContext context)` to indicate that the action being performed threw a checked exception. The exception thrown by the action can be obtained by calling the `getException` method. In effect, an `PrivilegedActionException` is a "wrapper" for an exception thrown by a privileged action.

Since:
  1.2
See Also:
  - `PrivilegedExceptionAction`
  - `AccessController.doPrivileged(PrivilegedExceptionAction)`
  - `AccessController.doPrivileged(PrivilegedExceptionAction,AccessControlContext)`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrivilegedActionException(Exception exception)`
  Constructs a new PrivilegedActionException "wrapping" the specific Exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Exception`
  `getException()`
  Returns the exception thrown by the privileged computation that resulted in this `PrivilegedActionException`.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PrivilegedActionException

    public PrivilegedActionException(Exception exception)
    Constructs a new PrivilegedActionException "wrapping" the specific Exception.
    Parameters:
      `exception` - The exception thrown

- ## Method Details

  - ### getException

    public Exception getException()
    Returns the exception thrown by the privileged computation that resulted in this `PrivilegedActionException`.
    API Note:
      This method predates the general-purpose exception chaining facility. The `Throwable.getCause()` method is now the preferred means of obtaining this information.
    Returns:
      the exception thrown by the privileged computation that resulted in this `PrivilegedActionException`.
    See Also:
      - `PrivilegedExceptionAction`
      - `AccessController.doPrivileged(PrivilegedExceptionAction)`
      - `AccessController.doPrivileged(PrivilegedExceptionAction, AccessControlContext)`